/hg/icedtea6: Fixed patch for regression test
ptisnovs at icedtea.classpath.org
ptisnovs at icedtea.classpath.org
Mon May 16 07:14:29 PDT 2011
changeset 29d688c7693d in /hg/icedtea6
details: http://icedtea.classpath.org/hg/icedtea6?cmd=changeset;node=29d688c7693d
author: ptisnovs
date: Mon May 16 16:19:11 2011 +0200
Fixed patch for regression test test/runtime/6929067/Test6929067.sh
diffstat:
ChangeLog | 6 ++++++
patches/jtreg-6929067-fix.patch | 23 +++++++++++------------
2 files changed, 17 insertions(+), 12 deletions(-)
diffs (64 lines):
diff -r 73869cc50c8c -r 29d688c7693d ChangeLog
--- a/ChangeLog Fri May 13 09:05:45 2011 -0400
+++ b/ChangeLog Mon May 16 16:19:11 2011 +0200
@@ -1,3 +1,9 @@
+2011-05-16 Pavel Tisnovsky <ptisnovs at redhat.com>
+
+ * patches/jtreg-6929067-fix.patch: fix this regression
+ test so it works on any combination of JVM and platform
+ (32 bit and 64 bit)
+
2011-05-12 Andrew Su <asu at redhat.com>
* AUTHORS: Updated name.
diff -r 73869cc50c8c -r 29d688c7693d patches/jtreg-6929067-fix.patch
--- a/patches/jtreg-6929067-fix.patch Fri May 13 09:05:45 2011 -0400
+++ b/patches/jtreg-6929067-fix.patch Mon May 16 16:19:11 2011 +0200
@@ -1,28 +1,27 @@
--- openjdk-old/hotspot/test/runtime/6929067/Test6929067.sh 2010-10-08 22:29:24.000000000 +0200
+++ openjdk/hotspot/test/runtime/6929067/Test6929067.sh 2010-12-08 13:45:18.000000000 +0100
-@@ -7,6 +7,7 @@
- ## @run shell Test6929067.sh
- ##
-
-+
- if [ "${TESTSRC}" = "" ]
- then TESTSRC=.
- fi
-@@ -42,7 +43,24 @@
+@@ -42,7 +42,31 @@
;;
esac
-LD_LIBRARY_PATH=.:${TESTJAVA}/jre/lib/i386/client:/usr/openwin/lib:/usr/dt/lib:/usr/lib:$LD_LIBRARY_PATH
+COMP_FLAG="-m32"
+
++# Test if JDK is 32 or 64 bits
++${TESTJAVA}/bin/java -d64
++
++if [[ $? == 0 ]]
++then
++ COMP_FLAG="-m64"
++fi
++
+# Get ARCH specifics
+ARCH=`uname -m`
+case "$ARCH" in
+ x86_64)
+ ARCH=amd64
-+ COMP_FLAG="-m64"
+ ;;
-+ i585)
++ i586)
+ ARCH=i386
+ ;;
+ i686)
@@ -34,7 +33,7 @@
export LD_LIBRARY_PATH
THIS_DIR=`pwd`
-@@ -55,6 +73,13 @@
+@@ -55,6 +79,13 @@
${TESTJAVA}${FS}bin${FS}javac T.java
More information about the distro-pkg-dev
mailing list